> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Mentioned Messages > Get the messages in which you are mentioned (users are mentioned with the `@` symbol). Visit the [Messages](https://docs.rocket.chat/docs/messages#mention-users) user guide to learn more. ### Changelog | Version | Description | | ------------ | ------------| | 2.2.0 | Added | ## OpenAPI ````json GET /api/v1/chat.getMentionedMessages { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Messaging" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Chat" }, { "name": "Direct Messages" }, { "name": "Auto-Translate" } ], "paths": { "/api/v1/chat.getMentionedMessages": { "get": { "tags": [ "Chat" ], "summary": "Get Mentioned Messages", "description": "Get the messages in which you are mentioned (users are mentioned with the `@` symbol). Visit the [Messages](https://docs.rocket.chat/docs/messages#mention-users) user guide to learn more.\n\n### Changelog\n| Version | Description | \n| ------------ | ------------|\n| 2.2.0 | Added |", "operationId": "get-api-v1-chat.getMentionedMessages", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/RoomId" }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" }, { "$ref": "#/components/parameters/sort" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "messages": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "rid": { "type": "string" }, "msg": { "type": "string" }, "ts": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "urls": { "type": "array", "items": { "type": "object" } }, "mentions": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" }, "type": { "type": "string" } } } }, "channels": { "type": "array", "items": { "type": "object" } }, "md": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "string" } } } } } } } } } }, "count": { "type": "integer" }, "offset": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Example 1": { "value": { "messages": [ { "_id": "p93m92bPRudzoJ7oW", "rid": "6GFJ3tbmHiyHbahmC", "msg": "@test.john hello", "ts": "2023-10-16T23:27:02.945Z", "u": { "_id": "rbAXPnMktTFbNpwtJ", "username": "roxie", "name": "test test" }, "_updatedAt": "2023-10-16T23:27:03.071Z", "urls": [], "mentions": [ { "_id": "5fRTXMt7DMJbpPJfh", "username": "test.john", "name": "Test John", "type": "user" } ], "channels": [], "md": [ { "type": "PARAGRAPH", "value": [ { "type": "MENTION_USER", "value": { "type": "PLAIN_TEXT", "value": "test.john" } }, { "type": "PLAIN_TEXT", "value": " hello" } ] } ] }, { "_id": "4Q8nmha5doDHus5YR", "rid": "6GFJ3tbmHiyHbahmC", "msg": "@test.john", "ts": "2023-10-16T23:26:38.611Z", "u": { "_id": "rbAXPnMktTFbNpwtJ", "username": "roxie", "name": "test test" }, "_updatedAt": "2023-10-16T23:26:38.728Z", "urls": [], "mentions": [ { "_id": "5fRTXMt7DMJbpPJfh", "username": "test.john", "name": "Test John", "type": "user" } ], "channels": [], "md": [ { "type": "PARAGRAPH", "value": [ { "type": "MENTION_USER", "value": { "type": "PLAIN_TEXT", "value": "test.john" } } ] } ] } ], "count": 2, "offset": 0, "total": 2, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "The required \"roomId\" query param is missing. [error-invalid-params]", "errorType": "error-invalid-params" } }, "Incorrect room ID": { "value": { "success": false, "error": "error-not-allowed" } } } } } } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "RoomId": { "name": "roomId", "in": "query", "description": "The room ID.", "required": true, "schema": { "type": "string" }, "example": "6GFJ3tbmHiyHbahmC" }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "sort": { "name": "sort", "in": "query", "description": "List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, `{ \"value\": -1, \"_id\": 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": {} } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````